package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@Data
public class HelpAvatarVo implements Serializable,Cloneable{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("助力头像（只显示前六个）")
    private List<String> helpAvatars;

    @ApiModelProperty("助力人数")
    private Integer helpPeople;

    private static final HelpAvatarVo obj = new HelpAvatarVo();

    public static HelpAvatarVo getNew() {
        try {
            return (HelpAvatarVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new HelpAvatarVo();
        }
    }

}
